{
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "",
    "title": "Delaware Division of Corporations",
    "version": "1",
    "x-aisa-capabilities": {
      "idempotency": "Idempotency-Key",
      "max_price": "X-AISA-Max-Price-USD",
      "quote": {
        "header": "X-AISA-Cost-Mode",
        "value": "quote"
      }
    },
    "x-aisa-catalogs": {
      "delaware-gov": {
        "description": "",
        "title": "Delaware Division of Corporations",
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          }
        },
        "x-aisa-document": {
          "facts_hash": "489e3cd6c382d44a61a346f22067a99a8130290f30b7d7712471a5627e857c2b",
          "generator_version": "3",
          "protocol_version": "1",
          "schema_version": "1"
        },
        "x-aisa-plans": {
          "builder": 1.0,
          "display_plan": "payg",
          "payg": 1.0,
          "similarweb_payg": 1.0,
          "team": 1.0,
          "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
        }
      }
    },
    "x-aisa-configured-paths": [
      "/apis/v1/delaware-gov/entities/entity",
      "/apis/v1/delaware-gov/entities/registered-agents",
      "/apis/v1/delaware-gov/entities/search"
    ],
    "x-aisa-document": {
      "composer_version": "28",
      "document_hash": "sha256:6acf509c7b576d33b8a8637c2166713ffc5eb0341c772fa11b7f7716b7710582",
      "facts_hash": "489e3cd6c382d44a61a346f22067a99a8130290f30b7d7712471a5627e857c2b",
      "generator_version": "3",
      "protocol_version": "1",
      "response_pending": [],
      "schema_version": "1"
    },
    "x-aisa-plans": {
      "builder": 1.0,
      "display_plan": "payg",
      "payg": 1.0,
      "similarweb_payg": 1.0,
      "team": 1.0,
      "version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb"
    },
    "x-aisa-provider": "delaware-gov"
  },
  "jsonSchemaDialect": "https://json-schema.org/draft/2020-12/schema",
  "openapi": "3.1.0",
  "paths": {
    "/apis/v1/delaware-gov/entities/entity": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "delaware-gov.entities.entity",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "file_number": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "file_number": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "properties": {
                  "file_number": {
                    "type": "string"
                  }
                },
                "required": [
                  "file_number"
                ],
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Entity",
        "tags": [
          "Delaware Division of Corporations"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "delaware-gov",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/delaware-gov/delaware-gov-entities-entity",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "887456a3b315"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "delaware-gov.entities.entity",
          "path": "/apis/v1/delaware-gov/entities/entity"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/delaware-gov/entities/entity \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"file_number\": \"example\"\n}'"
          }
        ]
      }
    },
    "/apis/v1/delaware-gov/entities/registered-agents": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "delaware-gov.entities.registered-agents",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {}
                },
                "minimal": {
                  "value": {}
                }
              },
              "schema": {
                "additionalProperties": true,
                "type": "object"
              }
            }
          },
          "required": false
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "Registered agents",
        "tags": [
          "Delaware Division of Corporations"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "delaware-gov",
        "x-aisa-category": "people",
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/delaware-gov/delaware-gov-entities-registered-agents",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "90b8a4121754"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "delaware-gov.entities.registered-agents",
          "path": "/apis/v1/delaware-gov/entities/registered-agents"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/delaware-gov/entities/registered-agents \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{}'"
          }
        ]
      }
    },
    "/apis/v1/delaware-gov/entities/search": {
      "post": {
        "description": "<!-- aisa-pricing:start -->\n按用量计费；默认请求预估费用：$0.0005 USD（不是固定价格）。 声明的单位费率：每 provider_credit $0.0001 USD。 最终费用以账户适用价格及实际结算为准。\n<!-- aisa-pricing:end -->",
        "operationId": "delaware-gov.entities.search",
        "requestBody": {
          "content": {
            "application/json": {
              "examples": {
                "default": {
                  "value": {
                    "file_number": "example"
                  }
                },
                "minimal": {
                  "value": {
                    "file_number": "example"
                  }
                }
              },
              "schema": {
                "additionalProperties": true,
                "allOf": [
                  {
                    "anyOf": [
                      {
                        "properties": {
                          "file_number": {}
                        },
                        "required": [
                          "file_number"
                        ]
                      },
                      {
                        "properties": {
                          "name": {}
                        },
                        "required": [
                          "name"
                        ]
                      }
                    ]
                  }
                ],
                "properties": {
                  "file_number": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  }
                },
                "type": "object"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Successful response. The payload schema has not been reviewed yet."
          },
          "default": {
            "content": {
              "application/json": {
                "schema": {}
              }
            },
            "description": "Error response; upstream passthrough responses may use provider formats"
          }
        },
        "summary": "搜索",
        "tags": [
          "Delaware Division of Corporations"
        ],
        "x-aisa-capabilities": {
          "idempotency": "Idempotency-Key",
          "max_price": "X-AISA-Max-Price-USD",
          "mpp": false,
          "mpp_methods": [],
          "quote": {
            "header": "X-AISA-Cost-Mode",
            "value": "quote"
          },
          "x402": false
        },
        "x-aisa-catalog-id": "delaware-gov",
        "x-aisa-category": "people",
        "x-aisa-constraints": {
          "required_any_of": [
            [
              {
                "in": "body",
                "name": "option_file_number",
                "selector": "/file_number"
              },
              {
                "in": "body",
                "name": "option_name",
                "selector": "/name"
              }
            ]
          ]
        },
        "x-aisa-docs-url": "https://aisa.one/docs/api-reference/delaware-gov/delaware-gov-entities-search",
        "x-aisa-passthrough": true,
        "x-aisa-pricing": {
          "cost_contract": "response_units",
          "customer_multiplier": 1.0,
          "customer_pricing": "provider_cost_multiplier",
          "default_request_estimate_usd": 0.0005,
          "estimate_source": "profile_seed",
          "evidence_source": "response_body",
          "unit": "provider_credit",
          "unit_rate_usd": 0.0001
        },
        "x-aisa-query-policy": {
          "ignore_undeclared": false,
          "request_wins": false
        },
        "x-aisa-review": {
          "request": "runtime_binding",
          "response": "generic",
          "status": "unreviewed"
        },
        "x-aisa-revision": {
          "customer_pricing_ref": "660b80f46152",
          "plan_policy_version": "e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb",
          "profile_ref": "7e7169375432"
        },
        "x-aisa-runtime-operation": {
          "method": "POST",
          "operation_id": "delaware-gov.entities.search",
          "path": "/apis/v1/delaware-gov/entities/search"
        },
        "x-aisa-status": "enabled",
        "x-aisa-validation": "mixed",
        "x-codeSamples": [
          {
            "label": "Reference example",
            "lang": "text",
            "source": "# Fixed reference example. Playground inputs do not update this sample.\ncurl --request POST \\\n  --url https://api.aisa.one/apis/v1/delaware-gov/entities/search \\\n  --header 'Authorization: Bearer <token>' \\\n  --header 'Content-Type: application/json' \\\n  --data '{\n  \"file_number\": \"example\"\n}'"
          }
        ]
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://api.aisa.one"
    }
  ]
}
